> ## Documentation Index
> Fetch the complete documentation index at: https://botpress.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteFile

> Deletes a file.



## OpenAPI

````yaml /files-openapi.json DELETE /v1/files/{id}
openapi: 3.0.0
info:
  title: Botpress Files API
  description: API for Botpress Files
  version: 1.82.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
paths:
  /v1/files/{id}:
    delete:
      tags:
        - Endpoints
      description: Deletes a file.
      operationId: deleteFile
      parameters:
        - name: id
          in: path
          description: File ID or Key
          required: true
          schema:
            type: string
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
        - name: x-integration-name
          in: header
          description: Integration name
          required: false
          schema:
            type: string
        - name: x-user-id
          in: header
          description: User Id
          required: false
          schema:
            type: string
        - name: x-user-role
          in: header
          description: User Role
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/deleteFileResponse'
        default:
          $ref: '#/components/responses/deleteFileResponse'
components:
  responses:
    deleteFileResponse:
      description: Empty response.
      content:
        application/json:
          schema:
            type: object
            title: deleteFileResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````